"use client";
import {urlImage} from "@/lib/urlIMG";
import Image from "next/image";
import {BsArrowRight} from "react-icons/bs";

interface Props {
  guideData: any;
}

export default function GuideList({guideData}: Props) {
  return (
    <div className="flex flex-col gap-4 justify-start w-[80%] lg:w-full flex-none text-start">
      <Image
        src={guideData.image}
        alt={guideData.name}
        width={260}
        height={200}
        className="object-cover w-full h-52"
      />
      <h3 className="text-main">{guideData.name}</h3>
      <a
        href={guideData.url}
        target="_blank"
        className="flex flex-row gap-2 items-center text-sm tracking-widest text-main"
      >
        DISCOVER MORE <BsArrowRight size={15} className="text-main" />
      </a>
    </div>
  );
}
